load 'plots/style.gnu'
set datafile separator ","

set grid
set size 0.6, 0.62
set origin 0, 0
set multiplot 

set colorsequence default

set xdata time
set timefmt "%Y%m%d-%H"
set yrange[0:100]
set ytics 20
set xrange["20190713-0":"20210212-14"]
set xtics 3600 * 24 * 30 * 4

set ylabel " "
set format x ""
set yrange[0:100]
set size 0.6, 0.3
set origin 0, 0.32
set key center right

set label 1 "SSDS" at "20190802-0", 50 font "Helvetica-Bold"

plot\
"data/case-tlsa-stat-SSDS.txt" u 1:(100*$6/$5) w st linestyle 1 lw 5 title "DNSSEC",\
"data/case-tlsa-stat-SSDS.txt" u 1:(100*$10/$5) w st linestyle 3 lw 5 title "Mismatch",\

unset key
unset xlabel
set format x "%m/%y"
set ylabel "{/Helvetica-Bold % of invalid} {/Courier-Bold TLSA} {/Helvetica-Bold records}" offset 0, 5 
set size 0.6, 0.32
set origin 0, 0

unset label 1
set label 2 "SSDO" at "20190802-0", 50 font "Helvetica-Bold"

plot\
"data/case-tlsa-stat-SSDO.txt" u 1:(100*$6/$5) w st linestyle 1 lw 5 notitle,\
"data/case-tlsa-stat-SSDO.txt" u 1:(100*$10/$5) w st linestyle 3 lw 5 notitle,\

