load 'plots/style.gnu'
set datafile separator ","

set colorsequence default
set size 0.6, 0.62
set multiplot

set grid
set lmargin 10

set xdata time
set timefmt "%Y%m%d %H"
set xrange["20190713 5":"20210212 14"]
set key at "20200928 0", 76

set format x ""
set size 0.6, 0.3
set origin 0, 0.32
set ytics 20
set xtics 3600 * 24 * 30 * 4

set xlabel ""
set ylabel "{/Helvetica-Bold % of SMTP servers}\n{/Helvetica-Bold ever performed}\n{/Helvetica-Bold incorrect rollovers}" offset -1,0

plot\
"data/rollover-timeline-le.txt" u 1:(100*$11/$8) w st linestyle 1 lw 4 title "Early retirement of old {/Courier-Bold TLSA}",\
"data/rollover-timeline-le.txt" u 1:(100*$12/$8) w st linestyle 2 lw 4 title "Late introduction of new {/Courier-Bold TLSA}",\
"data/rollover-timeline-le.txt" u 1:(100*$13/$8) w st linestyle 3 lw 4 title "No introduction of new {/Courier-Bold TLSA}",\


set xtics 3600 * 24 * 30 * 4
set format x "%m/%y"

set yrange[0:]
set ytics 2000
set size 0.6, 0.32
set origin 0, 0

set xlabel ""
set ylabel "{/Helvetica-Bold # of SMTP servers}\n{/Hevetica-Bold with LE certs}\n" offset 1, 0

plot\
"data/cert-pki-cn-stat.txt" u 1:($13) w st linestyle 1 lw 5 notitle \


