load 'plots/style.gnu'
set datafile separator ","

set colorsequence default
set size 0.6, 0.62
set multiplot

set grid
set xdata time
set timefmt "%Y%m%d-%H"
set xrange["20190713 5":"20210212 14"]
set yrange [0:60]

set lmargin 10

set ytics 10
set xtics 3600 * 24 * 30 * 4 

set size 0.6, 0.3
set origin 0, 0.32
set arrow from "20201007-1", 0 to "20201007-1", 40 lw 3 lt 0 nohead
set key at "20201130-0", 55
set format x ""
set xlabel ""
set ylabel "{/Helvetica-Bold % of SMTP servers}\n{/Helvetica-Bold ever performed}\n{/Helvetica-Bold incorrect rollovers}" offset -1, 0

plot\
"data/rollover-timeline-le.txt" u 1:(100*($23+$17)/($20+$14)) w st linestyle 1 lw 4 title "Early retirement of old {/Courier-Bold TLSA}",\
"data/rollover-timeline-le.txt" u 1:(100*($24+$18)/($20+$14)) w st linestyle 2 lw 4 title "Late introduction of new {/Courier-Bold TLSA}",\
"data/rollover-timeline-le.txt" u 1:(100*($25+$19)/($20+$14)) w st linestyle 3 lw 4 title "No introduction of new {/Courier-Bold TLSA}",\

unset arrow
set yrange [0:100]
set ytics 20
set xtics 3600 * 24 * 30 * 4 

unset key
set size 0.6, 0.32
set origin 0, 0
set arrow from "20201007-1", 0 to "20201007-1", 100 lw 3 lt 0 nohead
set arrow from "20200907-1", 45 to "20201007-1", 45
set label "Let's Encrypt announced\nthe new R3 intermediate " at "20191111-01", 56
set key at "20200101-0", 90
set format x "%m/%y"
set xlabel ""
set ylabel "{/Helvetica-Bold % of SMTP servers }\n{/Helvetica-Bold that use LE certs}\n" offset 1, 0

plot\
"data/cert-pki-cn-stat.txt" u 1:(100*$15/($13)) w st linestyle 1 lw 5 title "X3",\
"data/cert-pki-cn-stat.txt" u 1:(100*$17/($13)) w st linestyle 2 lw 6 title "R3"



